commit f14ba54e9c7e415a05e33dd0b3b5f96e5de05c8b
Author: Thomas E. Dickey <dickey@his.com>
Date:   Sun Mar 10 16:25:47 2024 +0000

    libXaw 1.0.16:  amends XawListChange() prototype, plus code-cleanup

commit 254e1f657496d21aef0c5e0a14ecca076a9ebcd5
Author: Thomas E. Dickey <dickey@his.com>
Date:   Sun Mar 10 14:31:35 2024 +0000

    delete code which is never used

commit c07b1728e38529ff8177e2075c2bae4724d3abe7
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Mar 10 10:03:25 2024 -0400

    make the examples configurable as (interactive) unit-tests
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit d0fcbd9722ad691ca0b5873c98e8e9c236fa718b
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Mar 3 20:21:40 2024 -0500

    amend change to XawListChange()
    
    My previous commit in July 2019
    
      build-fixes when _CONST_X_STRING is defined
    
    modified the interface of XawListChange() to use "_Xconst char *"
    to fix builds when the Xt symbol _CONST_X_STRING is defined (which
    makes the String typedef "const").
    
    While this fixed building Xaw, clients which use Xaw were impacted.
    Changing that function to use String resolves both problems.
    
    (report by Karl Berry).
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit b116d033a5b4daf75a10ad959e42aac398036ef9
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Mar 3 19:04:21 2024 -0500

    clang/gcc warnings about undefined behavior (minor bug-fix)
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit fd4b2ce63feae01744a850fa6f1809ff15361a8b
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Mar 3 18:51:46 2024 -0500

    fix clang/gcc warnings for undefined behavior, also fix a bug
    
    XtConvertAndStore may update the XrmValue value, changing its size.
    clang and gcc warn about undefined behavior in the case-statement
    following the call (which uses the size), but do not explain what
    the problem is.  Since this code is not intended to handle changes
    of the size, simply reject that case.  That quiets the gcc warnings
    and is actually all that is needed for correctness.  clang still
    complains (neither knows what the call does), but can be quieted
    by initializing the variable before calling the function.
    
    The code happens to work without the fix as long as it is not
    used to convert between resource types which would increase the
    size.
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit d33708e30f102f6ab278d6f809eeaa18e65d0716
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Mar 3 15:13:27 2024 -0500

    scan-build(clang-17) reports possible null dereference, add checks
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 9aba0a9212e0bb3ad010fff569bce95c20c3ebfa
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Mar 3 14:50:21 2024 -0500

    split-up assignments which give unnecessary compiler-warnings
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit ce94a168f6a10455e98e2be7bd905bb9fb7f7fc1
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Fri Mar 1 20:32:17 2024 -0500

    add check for null pointer, avoid dereferencing
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 95e93cfd56c8dec57a3bb2627d7714944713c37a
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Fri Mar 1 20:32:01 2024 -0500

    add check for null pointer, avoid dereferencing
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 28b5ce87555b5c85f240895c64818015d134b3b7
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Fri Mar 1 20:31:43 2024 -0500

    add check for null pointer, avoid dereferencing
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 96e4ac3ae1afdeafb16ea0e147364d15e7bfd549
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Fri Mar 1 20:31:26 2024 -0500

    add check for null pointer, avoid dereferencing
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 5815fc38a12e5ac7f8bd391ce8f04f13b8178e69
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Fri Mar 1 20:31:09 2024 -0500

    add check for null pointer, avoid dereferencing
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit a3fb321330ccb6d9dcd6fd3d41971cda3987527a
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Fri Mar 1 20:30:50 2024 -0500

    add check for null pointer, avoid dereferencing
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 3841474f3ba6914b6909e29c5cf0c5e7207a69a7
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Fri Mar 1 20:30:28 2024 -0500

    add check for null pointer, avoid dereferencing
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit f4906b8a4fc09eb3ce971272f993be81885f602f
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Fri Mar 1 19:30:22 2024 -0500

    delete unused assignments
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 1b1d164cdcd3b30d1effb4a07a40ae1cf08d0419
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Fri Mar 1 18:47:16 2024 -0500

    reduce variable-length argument lists to match the existing code
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit ff9312d99940be2d81d91601ad6c1688da1016bd
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Fri Mar 1 17:01:07 2024 -0500

    fix references to uninitialized data when constructing argument-lists
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit cc1e73a85d437ebd0d5c8efbe14a7f398c1b9fcc
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Feb 29 20:19:25 2024 -0500

    manpage: improve formatting consistency of bold/italics
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 080e6e49825c2e03adb0c5dd8dad53767ec41ce6
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Feb 29 18:12:40 2024 -0500

    manpage: assume .EX/.EE macros
    
    Branden Robinson says macros have to go after ".TH"; the existing macros did
    not match the format used in groff, etc., and can be simply removed.  The
    ".TQ" macro is used only without a parameter, causing an extra space to be
    emitted (and fixed that by dropping the parameter).
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit d696cf912efb884af1a73952f3bd70bd28a9a942
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Feb 29 17:54:04 2024 -0500

    manpage: adjust line-breaks to avoid embedded full-stops
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 6ded4c0487220253a2cb2fefc4983ff31e486dd4
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Feb 29 16:45:23 2024 -0500

    cppcheck scope and assignment warnings

commit f181d10b934c85a30f27de6aa0b71c94e68d2293
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Feb 28 20:46:24 2024 -0500

    reduce compiler-warnings using casts
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 785ba6f4ee7677f395252daf9c1de30fb80a179d
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Feb 28 20:18:34 2024 -0500

    provide fallback for deprecated isascii/toascii
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 36ac433450b7e0b260e44b4320c4b6af0ba12a8f
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Feb 28 19:43:50 2024 -0500

    quiet conversion-warnings with casts
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit eb5cbbd6f8056b3008c0f8e7e603b10a3ff4cbb2
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Feb 28 18:04:28 2024 -0500

    fix missing-initializer warnings
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 5c23a1f5e5b0961a0938a8f3da1c9ad01fe67af7
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Feb 28 16:30:11 2024 -0500

    build-fix
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 239a9d1f8fa2655a5ebc53de00e3311ae1413e33
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 17 14:48:34 2024 -0800

    unifdef ISC
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6bbdea682c9c0064895e1619815a8d116f197c3f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 13 17:59:23 2024 -0800

    Remove unused sharedlib.c
    
    It was only built by Imake if SUNSHLIB was defined.
    SUNSHLIB was only set in the Imake configs for SunOS versions < 5
    (i.e. before Solaris 2.0).
    
    It has never been used in the autoconf builds.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 84f62d9c2a37366661332b8218c842f5af98356d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 13 17:54:47 2024 -0800

    unifdef __UNIXOS2__
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bce0fc281e883f4ffa53e47cd5fa96ea04ea4227
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 13 17:53:49 2024 -0800

    unifdef __osf__
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b6de2199357cdbde852a9caea1ed752d3c236d65
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 13 17:51:04 2024 -0800

    unifdef AIXV3 || __SCO__
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit dbd28c703175051e0d20df664c4423317ed556a3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 13 17:48:19 2024 -0800

    unifdef QNX4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 04a5e1a7d8cb1446e4fe2bb4a823d9795254fecb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 13 17:47:21 2024 -0800

    unifdef sony
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a6cd58c90cf5e47678fd50932d6fc2fdbffb2605
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 13 17:46:44 2024 -0800

    unifdef NCR
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1b5fe7cf8b5e7ed3f214b43b9f7e081c82df5b1d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Sep 23 09:46:16 2023 -0700

    gitlab CI: add xz-utils to container for "make distcheck"
    
    Also update to latest ci-templates
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e1b030770a2d489ff832b619ba646aa96e0bfb5c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 28 19:19:13 2023 -0800

    Use C99 designated initializers where appropriate
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 77533b88018c2923075562e106ef2970c7e6c6a9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 28 17:49:59 2023 -0800

    Handle redundantInitialization warnings from cppcheck
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c5a5fcea941e4ee7c4c68ae090601d6282f0a5cb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 28 16:10:19 2023 -0800

    Variable scope reductions as suggested by cppcheck
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 571c764ace3d4415531641db3dee0c2b066edc10
Author: Walter Harms <wharms@bfs.de>
Date:   Sun Jun 18 21:05:34 2023 +0200

    expand for simple widget demo

commit 55c2ab7cd46efb17f59f18d22307fcf5b26f3692
Author: Walter Harms <wharms@bfs.de>
Date:   Sun Jun 18 21:04:43 2023 +0200

    add simple widget demo

commit e67c7ff2bd6bff84edd70c224bc672535e4b41a4
Author: Walter Harms <wharms@bfs.de>
Date:   Sat May 13 19:08:12 2023 +0200

    add xawhisto

commit 2f99a415913b6be4ed2955a3e30694c2216aafbd
Author: Walter Harms <wharms@bfs.de>
Date:   Fri May 12 23:03:32 2023 +0200

    add examples
    
    provide some examples to support the documentation

commit 324358180ddeaae482c5f66bb5647a4918710296
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Mar 28 12:08:41 2023 -0700

    Set close-on-exec when opening files
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 78eb3c75688a1e92ec435e5bc3ded063cd339a73
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Mar 15 16:29:53 2023 -0700

    libXaw 1.0.15
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ebf701e9752a2c85f2fcfcce32b97f47d2546f47
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 4 10:44:45 2023 -0800

    configure: Use LT_INIT from libtool 2 instead of deprecated AC_PROG_LIBTOOL
    
    AC_PROG_LIBTOOL was replaced by LT_INIT in libtool 2 in 2008,
    so it's time to rely on it.
    
    Clears autoconf warnings:
    
    configure.ac:13: warning: The macro `AC_PROG_LIBTOOL' is obsolete.
    configure.ac:13: You should run autoupdate.
    aclocal.m4:3465: AC_PROG_LIBTOOL is expanded from...
    configure.ac:13: the top level
    
    libtoolize: Consider adding 'AC_CONFIG_MACRO_DIRS([m4])' to configure.ac,
    libtoolize: and rerunning libtoolize and aclocal.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f7246b984c287b64eb73ee0c303f1b61ee51caf2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 28 14:12:09 2023 -0800

    Replace calls to index() with strchr()
    
    Use C standard API instead of old BSD equivalent
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 02d6fcb26ee1c77c26d98372898d0e48542da5cb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 28 11:50:15 2023 -0800

    Add .git-blame-ignore-revs to hide whitespace commits from git blame
    
    To use this in your local repo clone, you will need to either run
    `git blame --ignore-revs-file .git-blame-ignore-revs`
    or set it permanently with
    `git config blame.ignoreRevsFile .git-blame-ignore-revs`
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c37efe7e63ce7be18238590b25042a8d7184f86c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 25 09:21:46 2023 -0800

    Remove "All rights reserved" from Oracle copyright notices
    
    Oracle no longer includes this term in our copyright & license notices.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9129b6dbca53afe7e1876ce11bb0386d91bcd589
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Mon Jul 4 08:46:04 2022 -0400

    issue #6: fix typo in XawMax parameter in GetBlockBoundaries
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 49cec54165b46116c73e7db78c46b624948b01c8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 7 10:20:30 2022 -0700

    Stop memory leak in error paths in XawTextSinkConvertPropertyList()
    
    Fixes issues reported by Oracle Parfait static analyzer:
    
    Error: Memory leak
       Memory leak [memory-leak] (CWE 401):
          Memory leak of pointer pointer allocated with XtCalloc(1, 144)
            at line 1586 of lib/libXaw/src/TextSink.c in function 'XawTextSinkConvertPropertyList'.
              pointer allocated at line 1570 with XtCalloc(1, 144)
              pointer leaks when XawFindArgVal(params, "font") != NULL at line 1573
                  and argval->value != NULL at line 1574
                  and XLoadQueryFont(screen->display, argval->value) == NULL at line 1577.
       Memory leak [memory-leak] (CWE 401):
          Memory leak of pointer pointer allocated with XtCalloc(1, 144)
            at line 1605 of lib/libXaw/src/TextSink.c in function 'XawTextSinkConvertPropertyList'.
              pointer allocated at line 1570 with XtCalloc(1, 144)
              pointer leaks when argval->value == NULL at line 1574
                  and XawFindArgVal(params, "foreground") != NULL at line 1593
                  and argval->value != NULL at line 1594
                  and XAllocNamedColor(...) == 0 at line 1595.
       Memory leak [memory-leak] (CWE 401):
          Memory leak of pointer pointer allocated with XtCalloc(1, 144)
            at line 1622 of lib/libXaw/src/TextSink.c in function 'XawTextSinkConvertPropertyList'.
              pointer allocated at line 1570 with XtCalloc(1, 144)
              pointer leaks when argval->value == NULL at line 1574
                  and XawFindArgVal(params, "background") != NULL at line 1610
                  and argval->value != NULL at line 1611
                  and XAllocNamedColor(...) == 0 at line 1612.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 11384211b9407eeab475e54e4806e47825fb1790
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 7 10:11:18 2022 -0700

    Stop memory leak in GetResourcePixmapPath()
    
    Fixes issue reported by Oracle Parfait static analyzer:
    
    Error: Memory leak
       Memory leak [memory-leak] (CWE 401):
          Memory leak of pointer pointer allocated with XtMalloc((strlen(value.addr) + 1))
            at line 700 of lib/libXaw/src/Pixmap.c in function 'GetResourcePixmapPath'.
              pointer allocated at line 679 with XtMalloc((strlen(value.addr) + 1))
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 01c0b0365a50a08e69dffe3c63ac62343560b26c
Author: Taylor R Campbell <riastradh@netbsd.org>
Date:   Mon Apr 4 14:53:48 2022 +0200

    Fix ctype(3) users.
    
    The API requires "unsigned char" arguments.
    
    Signed-off-by: Thomas Klausner <tk@giga.or.at>

commit 794367d1ac396842c0213064ebcfe1f4e2219657
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 7 10:56:22 2022 -0700

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f704f8cf083140a592a79705a3b104063d9b67c4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 7 10:36:59 2022 -0700

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8d6e75133738d0311d7737faab841b44cbb86e6b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 7 10:31:31 2022 -0700

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9cfeba9db7f3ac4e0b351969c9ff5ab8f58ec7ef
Author: Matt Turner <mattst88@gmail.com>
Date:   Sat Mar 27 13:38:39 2021 -0400

    libXaw 1.0.14
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 197e9d055f3cd351ae73551955ff463294b965bf
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Nov 26 19:05:01 2019 -0500

    compiler-warning fixes for const-mismatches, no object-change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 9f5025729992607eaac987f7f82208018af84fb6
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Mon Nov 25 20:49:28 2019 -0500

    reduce compiler warnings using casts, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 4ea048a88a378d05bfef1633bcafae17a757e024
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Mon Nov 25 19:15:33 2019 -0500

    fix compiler warning by updating parameter type for call to XtDisplayInitialize
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 78f66e92c66ad637da33df454a7aae149476e765
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Mon Nov 25 17:57:14 2019 -0500

    change COMMON_CFLAGS and COMMON_CPPFLAGS to AM_CFLAGS and AM_CPPFLAGS
    respectively so the default .c.o rule works (needed for the "Regress"
    script).
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 15860a8e2804243777c1e3d1fc997b9d6a500cb5
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sat Jul 6 06:33:35 2019 -0400

    use _X_UNUSED to quiet unused-parameter warnings
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 70fb870ca41cd2a5f9c46ad0244004bd7f808202
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Jul 4 21:04:03 2019 -0400

    fix some compiler warnings in MenuButton.c by changing the menu name from String to char*
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit a68226ab5e620a49cfedbe01b437d1ebac2adf9b
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Jul 4 20:37:07 2019 -0400

    fix some type/conversion warnings (no object change)
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 7a6b35790865bd40009eef58d0a4d504b2fce0c8
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Jul 4 20:33:22 2019 -0400

    fix some type/conversion warnings (no object change)
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 9b4f070bfb7cbaad22b03d2d38b338e82cbf80c0
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Jul 4 20:30:02 2019 -0400

    fix misleading indentation, which gave a compiler warning
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 29144b39e9b7e5bad43b5e6013ecb4cfac049bd5
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Jul 4 20:25:01 2019 -0400

    fix some type/conversion compiler warnings (no object change)
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit ccca832690f7ee56469786d7926e79f219259cea
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Jul 4 20:21:18 2019 -0400

    fix some type/conversion compiler warnings (no object change)
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 666ecd9890cef9726cd29da7acb3e397ca90442b
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Jul 4 20:18:45 2019 -0400

    fix some type/conversion compiler warnings (no object change)
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit e1fc6483141c483c1b5e1bfb67fc443faaa314e3
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Jul 4 20:06:00 2019 -0400

    fix some type/comparison compiler warnings (no object change)
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 5ea7395991b55b0b7ce8cc1dcaafc37e2b8b9d46
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Jul 4 20:00:26 2019 -0400

    change a couple of variable-types to reduce compiler warnings (no object change)
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 30a9013124591c253254255dbda16bdd516c2e9a
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Jul 4 19:54:00 2019 -0400

    fix a missing struct-initializer, and quiet unused-parameter warnings
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 9836ef1ff74744dc8316b762baf9f9f5f70bbd8f
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Jul 4 19:50:15 2019 -0400

    change variables to/from char* vs String to reduce compiler warnings (no object change)
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit d7a86b4b9017c67fbdabd4e6006fba6689c63ed1
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Jul 4 19:47:45 2019 -0400

    quiet some more type-conversion warnings, as well as unused-parameters
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit c22df47605e3e5230addea2fc9a531fb0b84339d
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Jul 4 19:35:02 2019 -0400

    trim some stray backslashes leftover from nroff, and fix some whitespace in code samples
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit dc53edf2132fa7a25a75e2f8f12ed4623c4cbb2a
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Jul 4 14:46:44 2019 -0400

    add --disable-const option, from libXt

commit 89d3815e07e883f7f399b69c709518667af179a0
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 09:55:07 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit bca947bda79e992b1bd0537ad68fedc9740188e3
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 09:55:56 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 88dabfee7a5a45ef747f4e3367c1705cddfd871a
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 09:56:08 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit bc737a82007a880c6d17d2334bf85346640409e7
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 09:56:16 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit cc3f0b591987c8edd0c573479c9df34fda253c06
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 09:56:28 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 2a14a606cb23843ca6c4ba5b8546cc54bccbb29a
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 09:56:38 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 40af785c9cbe82c0caf3d143980f4e92d1ac3f67
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 09:56:46 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 5abff2885ddcb9fc1732bf00ebad9bf09e08c2cc
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 09:56:55 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit eeea8a6b2b84ef2a3f50387d1ae99037b692a3f4
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 09:57:05 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 729e6f0b05664952f04865f2c0143524d4ac01d3
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 09:57:16 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 58d4568a6b685a7f0bce2e2af238b5a54edbbde7
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 09:57:26 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit d01732e7cddfb08fe16e6c2e673ee1bb78bd18bc
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 09:57:34 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 7b3ba952e590c975c6e6bf2d64fb04dab0959272
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 09:57:51 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 0dd86d04aa36dd592c6720c7653a0246345ddbc1
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 09:58:00 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit b3ce7ce658b4336bca487aa1c9e7689622db4211
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 09:58:08 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 3afd76ce8640b1bff299ada10af6faa7ae41e21c
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 09:58:17 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 32fdbc4cf763dbf7307414f7e3b0e0ea744bc3d5
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 09:58:25 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 380dfc6ea9ea7f2ca2a0378f4bdeb1c52ad341b4
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 09:58:33 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit d4db24bbb20434bee94d7c7df95bbd43c8d5ea7c
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 09:58:40 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 9adace08e31dbebe6733c173e5c47157e1ce13bf
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 09:58:48 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 56aaaca5ab452ff2a06ebcd27c1b69e603ee9807
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 09:58:57 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit e088c92de5014446409da027a6314ea3d2b0491a
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 09:59:12 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 0561f5dbd9504e1d16041272e71914faa0a5f21c
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 09:59:21 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit e53025f667a3c85eb2e2ea97047d9ee8839afac4
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 09:59:28 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 834371d9f5ab3aed734bb10dbba224f780f080e4
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 09:59:36 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 58106a04c8ac4b13b50c420fe8f0e9451253ff0f
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 15:49:53 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit fe2e19befb423cd8d709dcac494734c2496744f1
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 15:50:04 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 88edd1c49afc62da1a7cd8a3c80f9bd85ef25a44
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 15:50:12 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 2bf5b17770af9e79a6370e992dc3fb43d4c5a5f0
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 15:50:22 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit fa416f3488e248616186bccfcfdce3e0c8992a32
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 15:50:30 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit b5a234bcd12f1c1e235fd882b913ec63f9c69cb2
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 15:50:39 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 4739c329307ec58adfe10d76236354fa36b74b7a
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 15:50:55 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit c35e10f93b4f93de81fed3b128dabb7db2a490c9
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 15:51:03 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 9b9d0ee75990fcba5643c13611a56d25627846d2
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 15:51:10 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 6859e8208de83cb6ad280aea5255f1b505ba8c38
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 15:51:21 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 2823d6c1ccc4b8311c6f611171067a2df78b7b46
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 15:51:28 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 11bc3a8d8a93cd3cf49f2a1736a4db4dd7d4d8fc
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jul 3 15:51:40 2019 -0400

    add casts to quiet gcc conversion-warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 7daff9f7e522d2ba5f303847df8ec20e93f27583
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Mon Jul 1 19:11:17 2019 -0400

    build-fixes when _CONST_X_STRING is defined
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>
